import {fileURLToPath} from "node:url";
import path from "node:path";

//import Image_processing from './Sharp'; // Compilation
import Image_processing from './Sharp.js'; // Execution

(function Main() {
    console.clear();
    // https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Operators/import.meta
    // '__filename' *IS NOT* defined in EcmaScript module scope:
    const __filename = fileURLToPath(import.meta.url); // Required: '"module": "ES2020",'
    console.info("Executable file: " + __filename + "\n");
    // '__dirname' *IS NOT* defined in EcmaScript module scope:
    const __dirname = path.dirname(fileURLToPath(import.meta.url));

    // Location of picture:
    Image_processing(path.resolve(__dirname, '..'));
})();



